USE [Televic_CoCoS]
GO

INSERT INTO [dbo].[RoomSynopticSet]
           ([RoomId]
           ,[BackgroundColor]
           ,[BackgroundImagePath]
           ,[BackgroundImageOffsetX]
           ,[BackgroundImageOffsetY]
           ,[BackgroundImageSizeX]
           ,[BackgroundImageSizeY]
           ,[SynopticSizeX]
           ,[SynopticSizeY]
           ,[Name]
           ,[Description]
           ,[ScreenShotPath]
           ,[IsMasterSynoptic]
           ,[ScreenShotData_Id]
           ,[BackgroundImageData_Id])
     SELECT
      [RoomId]
      ,[BackgroundColor]
      ,[BackgroundImagePath]
      ,[BackgroundImageOffsetX]
      ,[BackgroundImageOffsetY]
      ,[BackgroundImageSizeX]
      ,[BackgroundImageSizeY]
      ,[SynopticSizeX]
      ,[SynopticSizeY]
      ,[Name]
      ,[Description]
      ,[ScreenShotPath]
      ,0
      ,[ScreenShotData_Id]
      ,[BackgroundImageData_Id]
  FROM [Televic_CoCoS].[dbo].[RoomSynopticSet]
  WHERE IsMasterSynoptic = 1
GO

INSERT INTO [dbo].[RoomSynopticNodeSet]
           ([Id]
           ,[X]
           ,[Y]
           ,[Z]
           ,[LabelLocation]
           ,[LabelFontSize]
           ,[LabelBackground]
           ,[SizeX]
           ,[SizeY]
           ,[RoomSynopticId]
           ,[RoomNodeId]
           ,[NodeIdFontSize]
           ,[Label])
	SELECT NEWID ( )
		  ,[X]
		  ,[Y]
		  ,[Z]
		  ,[LabelLocation]
		  ,[LabelFontSize]
		  ,[LabelBackground]
		  ,[SizeX]
		  ,[SizeY]
		  ,@@IDENTITY
		  ,[RoomNodeId]
		  ,[NodeIdFontSize]
		  ,[Label]
	  FROM [dbo].[RoomSynopticNodeSet]
	  WHERE RoomSynopticId = (SELECT Id
			FROM [Televic_CoCoS].[dbo].[RoomSynopticSet]
			WHERE IsMasterSynoptic = 1)
GO


